
import superwaba.ext.xplat.game.*;
import waba.fx.*;
import waba.sys.*;
import waba.ui.*;

public class Sprites4 extends GameEngine{
    
    private Gnomo gnomo;
    private Barril barril;
    private int vidas=3;

    TextRenderer vidasText=createTextRenderer(getFont(), Color.BLACK, "Vidas:", 1);

    public Sprites4(){
        waba.sys.Settings.setPalmOSStyle(true);	
        
        gameName= "Sprites2";
        gameCreatorID= "davidfv";
        gameVersion=100;
        gameHighscoresSize=7;
        gameRefreshPeriod=75;
        gameIsDoubleBuffered=true;
        gameDoClearScreen=true;
        gameHasUI=false;

        waba.sys.Vm.interceptSystemKeys(waba.ui.IKeys.PAGE_UP | waba.ui.IKeys.PAGE_DOWN);

    }

    
    public void onGameInit(){
        gnomo=new Gnomo();
        barril=new Barril();
        vidasText.display(10,10,vidas,true);
        start();
    }
    
    public void onGameStart(){
      gnomo.show();
      barril.show();
    }
    
    public void onPaint(Graphics Gfx){

      int sk=Vm.getSystemKeysPressed();
      if (sk!=0){
        if((sk & Vm.SK_PAGE_UP) != 0){
          gnomo.jump();
        }
      
        if((sk & Vm.SK_PAGE_DOWN) != 0){
          gnomo.down();
        }                                                                       
      }
      barril.move();
      gnomo.show();
      barril.show();

      if(gnomo.collide(barril)){
        if(vidas==0){
          stop();
        } else{
          vidas--;
          barril.start();
        }
      }
      vidasText.display(10,10,vidas,true);
   }
  
}

