
import superwaba.ext.xplat.game.*;
import waba.fx.*;
import waba.sys.*;
import waba.ui.*;

public class Sprites5 extends GameEngine{
    
    private Gnomo gnomo;
    private Barril barril;
    private int vidas=3;

    TextRenderer vidasText=createTextRenderer(getFont(), Color.BLACK, "Vidas:", 1);

    public Sprites5(){
        waba.sys.Settings.setPalmOSStyle(true);	
        
        gameName= "Sprites5";
        gameCreatorID= "davidfv";
        gameVersion=100;
        gameHighscoresSize=7;
        gameRefreshPeriod=75;
        gameIsDoubleBuffered=true;
        gameDoClearScreen=true;
        gameHasUI=false;

        waba.sys.Vm.interceptSystemKeys(waba.ui.IKeys.PAGE_UP | waba.ui.IKeys.PAGE_DOWN);

    }

    
    public void onGameInit(){
        
        Image frames[] = new Image[4];
        
        frames[0]=new Image("barril.bmp");
        frames[1]=new Image("barril1.bmp");
        frames[2]=new Image("barril2.bmp");
        frames[3]=new Image("barril3.bmp");

        Image frames2[] = new Image[2];
        
        frames2[0]=new Image("gnomo.bmp");
        frames2[1]=new Image("gnomo2.bmp");
        
        barril=new Barril(frames);
        gnomo=new Gnomo(frames2);
        vidasText.display(10,10,vidas,false);
        start();
    }
    
    public void onGameStart(){
      gnomo.show();
      barril.show();
    }
    
    public void onPaint(Graphics Gfx){

      int sk=Vm.getSystemKeysPressed();
      if (sk!=0){
        if((sk & Vm.SK_PAGE_UP) != 0){
          gnomo.jump();
        }
      
        if((sk & Vm.SK_PAGE_DOWN) != 0){
          gnomo.down();
        }                                                                       
      }
      barril.move();
      gnomo.show();
      barril.show();

      if(gnomo.collide(barril)){
        if(vidas==0){
          stop();
        } else{
          vidas--;
          barril.start();
        }
      }
      vidasText.display(10,10,vidas,false);
   }
  
}

